Subject: Fwd: Re: [bug#54832] [patch] update glibc to 2.35

From: zamfofex <[email-masked]>
Date: Sun, 24 Apr 2022 11:19:26 -0300 (BRT)

> Why are empty static libraries skipped?  Would "gcc -static -lpthread main.c" (*)
> (in an environment that includes glibc:static) still work, or does it now fail?

They are skipped from being moved, but then should be copied in the loop immediately below it.

> An explanation and a link to an upstream report is mising.
> (apparently upstream=Guix here?).

I’m not sure if there is a report yet. There is a conversation in IRC, however. See:

- <https://logs.guix.gnu.org/guix/2022-04-09.log#081848>
- <https://logs.guix.gnu.org/guix/2022-04-09.log#082442>
- <https://logs.guix.gnu.org/guix/2022-04-09.log#171259>
- <https://logs.guix.gnu.org/guix/2022-04-09.log#174339>

> What's the reason for this patch?

‘/bin/sh’ doesn’t seem available in the build environment, so tests were failing. From what I was able to see, that macro is only used in tests, so I didn’t think it would be worthwhile to make it refer to ‘/gnu/store/.../bash’.

- - - - - - -

Apologies to Maxime for the repeated messages, and to others for taking so long to reply. Apparently I hadn’t replied to the debbugs address, so my initial messages were sent only to Maxime.

I hope this can be looked into soon enough!